curl --request GET \
--url https://api.edenai.run/v3/manage/groups/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.edenai.run/v3/manage/groups/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.edenai.run/v3/manage/groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"external_group_id": "<string>",
"name": "<string>",
"members": [
"jsmith@example.com"
]
}
],
"limit": 25,
"offset": 0,
"total_count": 123,
"next": "https://api.edenai.run/v3/manage/members/?limit=25&offset=25",
"previous": "<string>"
}List groups
Lists the organization’s groups synced from its identity provider (via directory sync), ordered by name, with the emails of their active members. Groups are managed in the identity provider and are read-only here. Requires the manage:read scope.
Authorizations
A management key (created from the organization dashboard or with POST /v3/manage/auth-keys), sent as Authorization: Bearer <management_key>. Inference API keys (sk-eden...) are not accepted on these endpoints.
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Response
Show child attributes
Show child attributes
Page size applied to this response (max 100).
25
Index of the first item in this page.
0
Total number of items across all pages.
123
Absolute URL of the next page, or null on the last page.
"https://api.edenai.run/v3/manage/members/?limit=25&offset=25"
Absolute URL of the previous page, or null on the first page.